[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.OnChange

Event handler signalled after a change to the canvas.

## Declaration

Source position: graphics.pp line 1182

`published property TCanvas.OnChange : TNotifyEvent read FOnChange write FOnChange;`

## Description

OnChange is a TNotifyEvent property which contains an event handler signalled after values in the canvas have been changed. The event handler is signalled (when assigned) from the Changed method, which is called when drawing operations are completed that alter the Pixels on the canvas.

Assign an object procedure to the property which implements the signature in TNotifyEvent to respond to the event notification.

Use OnChanging to respond to the notification that occurs prior to a drawing operation.

## See also

TCanvas.OnChanging |  | Event handler signalled prior to changing the canvas.